#===========================================================================
#
#   src/Makefile.am
#
#===========================================================================
# $Id: Makefile.am,v 1.37 2003/01/31 08:58:09 chris Exp $

AM_CPPFLAGS = $(CFLAGS)

noinst_LIBRARIES = lib_gt_base.a

lib_gt_base_a_SOURCES = \
	Algorithm.cpp \
	Algorithm.h \
	Attribute_Base.cpp \
	Attribute_Base.h \
	Attribute_double.cpp \
	Attribute_double.h \
	Attribute_int.cpp \
	Attribute_int.h \
	Attribute_list.cpp \
	Attribute_list.h \
	Attributes.cpp \
	Attributes.h \
	Attribute_string.cpp \
	Attribute_string.h \
	Circle.cpp \
	Circle.h \
	Common_Attributes.cpp \
	Common_Attributes.h \
	Common_Graphics.cpp \
	Common_Graphics.h \
	Device.cpp \
	Device.h \
	Edge_Attributes.cpp \
	Edge_Attributes.h \
	edge_NEI.cpp \
	edge_NEI.h \
	Error.cpp \
	Error.h \
	GML.cpp \
	GML.h \
	gml_parser.cpp \
	gml_parser.h \
	Graph_Attributes.cpp \
	Graph_Attributes.h \
	Graph.cpp \
	Graph.h \
	Graph_handlers.cpp \
	Graph_handlers.h \
	Graphlet.cpp \
	Graphlet.h \
	gt_base.cpp \
	gt_base.h \
	GTL_Shuttle.cpp \
	GTL_Shuttle.h \
	Id.cpp \
	Id.h \
	Key.cpp \
	Key_description.cpp \
	Key_description.h \
	Key.h \
	Keymapper.cpp \
	Keymapper.h \
	Keys.cpp \
	Keys.h \
	Line.cpp \
	Line.h \
	List_of_Attributes.cpp \
	List_of_Attributes.h \
	NEI.cpp \
	NEI.h \
	Node_Attributes.cpp \
	Node_Attributes.h \
	node_NEI.cpp \
	node_NEI.h \
	Parser.cpp \
	Parser.h \
	Point.cpp \
	Point.h \
	Polyline.cpp \
	Polyline.h \
	Port.cpp \
	Port.h \
	Ports.cpp \
	Ports.h \
	Rectangle.cpp \
	Rectangle.h \
	Segment.cpp \
	Segment.h \
	Shuttle.cpp \
	Shuttle.h \
	Tagged_Attributes.cpp \
	Tagged_Attributes.h \
	UIObject.cpp \
	UIObject.h

#---------------------------------------------------------------------------
#   end of file
#---------------------------------------------------------------------------
